class AutomaticReportsController < ApplicationController
  model_data_store(AutomaticReport)


  private

  # Only allow a list of trusted parameters through.
  def model_params
    provided_params = params.require(:automatic_report).permit(:report_component_id, :name, :run_frequency_value, :run_frequency_unit, :period_value, :period_unit,
                                             :start_date, :mail_to_users, :mail_to_emails, :date_column, :attach_link, :attach_csv, :attach_pdf, :pdf_template_id, :run_params)
    provided_params[:run_token] = RxModule::Authorization.generate_user_routine_token(:auto_report)
    provided_params
  end
end
