class BuildRunParamCache < RxModule::Routine
  class << self
    def frequency
      '1d'
    end

    def work
      Rails.cache.cleanup
      ReportTarget.all.each do |t|
        begin
          t.build_run_param_cache!
        rescue StandardError => err
          Rails.logger.warn { {msg: "Failed to build run cache", target: t }}
        end
      end
    end
  end
end