# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [0.1.108](http://omics.dyndns.biz:4747///compare/v0.1.107...v0.1.108) (2020-11-18)


### Features

* adjust caching ([dc88582](http://omics.dyndns.biz:4747///commit/dc88582189ec37c97ccd365cee423aee52940c7f))

### [0.1.107](http://omics.dyndns.biz:4747///compare/v0.1.106...v0.1.107) (2020-11-13)


### Features

* compount groups ([72e81af](http://omics.dyndns.biz:4747///commit/72e81afbd6a4bec9fca9262c80c699f9afd53b3c))
* download csv at level ([47d830a](http://omics.dyndns.biz:4747///commit/47d830acdbd16e765b69511bb0604554c7be38c8))
* handle run params in auto reprots ([eae3f7d](http://omics.dyndns.biz:4747///commit/eae3f7d0637c543a473c2036f86c8673c9a1c6ce))
* support parameters on the run tab ([61a8df9](http://omics.dyndns.biz:4747///commit/61a8df9ef13363ec2480adb305a16ce0eb0af75e))


### Bug Fixes

* don;t allow grouping across 1-n ([961f65e](http://omics.dyndns.biz:4747///commit/961f65e33d0a4f1eb4f7b88e93c0771029e688a5))
* encode . before sending known val request ([f883a6c](http://omics.dyndns.biz:4747///commit/f883a6c67606357626af25849e5225c700694428))
* handle blank in run param ([f53cd32](http://omics.dyndns.biz:4747///commit/f53cd32d00de821e099e9c7962c5008fab10c298))

### [0.1.106](http://omics.dyndns.biz:4747///compare/v0.1.105...v0.1.106) (2020-11-05)


### Bug Fixes

* automatic reports rescheduling incorrectly ([6a36b76](http://omics.dyndns.biz:4747///commit/6a36b766d843a6ff735649e187ad1761aace6f3d))

### [0.1.105](http://omics.dyndns.biz:4747///compare/v0.1.104...v0.1.105) (2020-11-05)

### [0.1.104](http://omics.dyndns.biz:4747///compare/v0.1.103...v0.1.104) (2020-11-04)


### Features

* incldue date column info in autoreport ([48de018](http://omics.dyndns.biz:4747///commit/48de01874074ed90cfd4ed5d0760740a1e24a58a))

### [0.1.103](http://omics.dyndns.biz:4747///compare/v0.1.102...v0.1.103) (2020-11-04)


### Features

* track way more info about automatic reports ([b6d1c81](http://omics.dyndns.biz:4747///commit/b6d1c8167637f7f5d988e0eae5ca8a7fb7d1af35))

### [0.1.102](http://omics.dyndns.biz:4747///compare/v0.1.101...v0.1.102) (2020-11-02)


### Bug Fixes

* case-sensitive require failed at FYI ([617e4f1](http://omics.dyndns.biz:4747///commit/617e4f1deb98a2df3f2ca7a5320504208bbe56b8))

### [0.1.101](http://omics.dyndns.biz:4747///compare/v0.1.100...v0.1.101) (2020-10-28)


### Features

* allow components to pull dates from relations ([1aa1594](http://omics.dyndns.biz:4747///commit/1aa1594f4ceb8eac3bf7a675644c7ab51b55ea21))


### Bug Fixes

* check permission id in select filer ([d803a26](http://omics.dyndns.biz:4747///commit/d803a269dc1c23fc5a535bb7cc8807fcfbda3158))
* sort & filter components on target & module name ([1e70ace](http://omics.dyndns.biz:4747///commit/1e70acee0813a94ed3e9a8f25365d8434f6a14c9))
* sort groups alphabetically too ([7ffca9f](http://omics.dyndns.biz:4747///commit/7ffca9ff717698c87ce2cb28b447b50fd82112fd))

### [0.1.100](http://omics.dyndns.biz:4747///compare/v0.1.99...v0.1.100) (2020-10-28)

### [0.1.99](http://omics.dyndns.biz:4747///compare/v0.1.98...v0.1.99) (2020-10-23)

### [0.1.98](http://omics.dyndns.biz:4747///compare/v0.1.97...v0.1.98) (2020-10-23)


### Bug Fixes

* properly handle deleted reports (closes http://omics.dyndns.biz:4747/rx-suite/modules/core/reporting/-/issues/88) ([b834669](http://omics.dyndns.biz:4747///commit/b834669c96b09ac11f95568ecf68f1a056ba9ef4))

### [0.1.97](http://omics.dyndns.biz:4747///compare/v0.1.96...v0.1.97) (2020-10-08)


### Bug Fixes

* start_date was not being computed with link was not added to auto report email ([bb98963](http://omics.dyndns.biz:4747///commit/bb989633db1805b995e138148639814a8386c35a))

### [0.1.96](http://omics.dyndns.biz:4747///compare/v0.1.95...v0.1.96) (2020-10-08)


### Bug Fixes

* could not make automatic report due to bad pdf deps ([6f2dd05](http://omics.dyndns.biz:4747///commit/6f2dd054f6c38f9aeef2bc48583a253f7b39d569))

### [0.1.95](http://omics.dyndns.biz:4747///compare/v0.1.94...v0.1.95) (2020-10-05)


### Bug Fixes

* don;t let autosize crash report if no rows available yet ([2b29d14](http://omics.dyndns.biz:4747///commit/2b29d142c8aa0ea1ca538bd101aed56e574c7de8))

### [0.1.94](http://omics.dyndns.biz:4747///compare/v0.1.93...v0.1.94) (2020-09-30)

### [0.1.93](http://omics.dyndns.biz:4747///compare/v0.1.92...v0.1.93) (2020-08-21)


### Bug Fixes

* ensure filter updates are appleid (make sure using apginatedComponent.model & use strict equality checking) ([567d6fc](http://omics.dyndns.biz:4747///commit/567d6fc50a82e506575e0ec779b2d1f31a46c73e))

### [0.1.92](http://omics.dyndns.biz:4747///compare/v0.1.91...v0.1.92) (2020-08-17)

### [0.1.91](http://omics.dyndns.biz:4747///compare/v0.1.90...v0.1.91) (2020-08-07)


### Features

* lock down designer by licence ([a3b3ebe](http://omics.dyndns.biz:4747///commit/a3b3ebe5a42260d01410aa3f4c580831d05db450))

### [0.1.90](http://omics.dyndns.biz:4747///compare/v0.1.89...v0.1.90) (2020-07-31)


### Features

* 'Expand All' button for pivots ([d9cc771](http://omics.dyndns.biz:4747///commit/d9cc7716398de015d32d9e2367f175aa3077de06))
* sticky headers ([1c7dd17](http://omics.dyndns.biz:4747///commit/1c7dd174274b06bbd3fcd45075ef60f5371d648d))

### [0.1.89](http://omics.dyndns.biz:4747///compare/v0.1.88...v0.1.89) (2020-07-31)

### [0.1.88](http://omics.dyndns.biz:4747///compare/v0.1.87...v0.1.88) (2020-07-31)

### [0.1.87](http://omics.dyndns.biz:4747///compare/v0.1.86...v0.1.87) (2020-07-30)


### Features

* add descriptions ([5373490](http://omics.dyndns.biz:4747///commit/53734901e772b6c6740520c0bde872132b02fd8c))


### Bug Fixes

* change text dashboard => reports ([aea2e42](http://omics.dyndns.biz:4747///commit/aea2e424a07d55f39b060fd667ee93e7e1670698))
* unsaved changes not properly syncing to drill tables ([27f1f6c](http://omics.dyndns.biz:4747///commit/27f1f6c48de3d89e9df33dc19d09ac57ae804f1d))

### [0.1.86](http://omics.dyndns.biz:4747///compare/v0.1.85...v0.1.86) (2020-07-21)


### Features

* cleaner PDFs ([4c50840](http://omics.dyndns.biz:4747///commit/4c508404419dd1eacf034a2e215adc5cf551233f))
* pull PDF menu into own section ([503bd6b](http://omics.dyndns.biz:4747///commit/503bd6b0bc3cdf9b8ee2ca70bc14318c2d2e3eaf))


### Bug Fixes

* don't render resize handles in print view ([afec6eb](http://omics.dyndns.biz:4747///commit/afec6ebb57d09334853104d9f6d253eab85c8de9))
* don't show sorted indicators on print PDF ([e7f23dc](http://omics.dyndns.biz:4747///commit/e7f23dc494aaf18b25e71ebefeb5b07d8fdcdd99))
* PDF print colors ([646dc51](http://omics.dyndns.biz:4747///commit/646dc5113e9fa8e9eb6ac4c7509d6844a1dbd463))
* reduce padding in print view ([09eac01](http://omics.dyndns.biz:4747///commit/09eac017d1cf6f89dc9fca0a2b54262db995d35d))

### [0.1.85](http://omics.dyndns.biz:4747///compare/v0.1.84...v0.1.85) (2020-07-17)

### [0.1.84](http://omics.dyndns.biz:4747///compare/v0.1.83...v0.1.84) (2020-07-15)

### [0.1.83](http://omics.dyndns.biz:4747///compare/v0.1.82...v0.1.83) (2020-07-15)


### Bug Fixes

* PDF render flag not rendering ([c5b3877](http://omics.dyndns.biz:4747///commit/c5b38772429a4c2ef8b8f31f42b7241342b3eb8e))
* Report runner crashes if target is not set ([b57a9de](http://omics.dyndns.biz:4747///commit/b57a9dec981b9ca4d15c7936c5e3f0a585d365c1))

### [0.1.82](http://omics.dyndns.biz:4747///compare/v0.1.81...v0.1.82) (2020-07-06)

### [0.1.81](http://omics.dyndns.biz:4747///compare/v0.1.80...v0.1.81) (2020-07-03)


### Features

* PDF presentation polish ([3f7ab90](http://omics.dyndns.biz:4747///commit/3f7ab90d8b4dcc7dd3fedcf18d191e8454f98223))


### Bug Fixes

* page count not reevaluating ([55ef432](http://omics.dyndns.biz:4747///commit/55ef432351c3e657b20c40b17b52545f4aa619f0))
* strip nav info from run link ([9c7eb81](http://omics.dyndns.biz:4747///commit/9c7eb810405985267e700bb7be8fced601b4db83))
* wrap cell contents in PDf ninstead of elipses truncation ([c359e25](http://omics.dyndns.biz:4747///commit/c359e2520f8594ae700012e72fba3f54c9143f96))

### [0.1.80](http://omics.dyndns.biz:4747///compare/v0.1.79...v0.1.80) (2020-07-02)

### [0.1.79](http://omics.dyndns.biz:4747///compare/v0.1.78...v0.1.79) (2020-07-02)


### Features

* formatting for pdfs ([01bda72](http://omics.dyndns.biz:4747///commit/01bda727b39396f654d4feff5a2f668a777a6518))
* link to PDFS ([2be4bb7](http://omics.dyndns.biz:4747///commit/2be4bb7b2e0108278af2862467f777c4063e869d))
* load override component structure for PDFs ([6817b39](http://omics.dyndns.biz:4747///commit/6817b39eacbada26fa9d103761c875974b17925c))
* routing adjustments ([0c7d1fe](http://omics.dyndns.biz:4747///commit/0c7d1fec48e3b0daf844a46a72903cb8ae53e621))


### Bug Fixes

* memoize child components ([859fba6](http://omics.dyndns.biz:4747///commit/859fba6a8525f52b8b6ac935c9e619385e17bd0a))
* no minimum row count in PDF view ([973c61b](http://omics.dyndns.biz:4747///commit/973c61bfb279e2f2406da49c6199485be3385b2b))
* PDFs printing too soon ([7eff7d1](http://omics.dyndns.biz:4747///commit/7eff7d172f619f552019f5ff72e83e5eb408fcca))

### [0.1.78](http://omics.dyndns.biz:4747///compare/v0.1.77...v0.1.78) (2020-06-18)


### Features

* toggle elements for UI in printview ([37f3bc3](http://omics.dyndns.biz:4747///commit/37f3bc34353bccfb3f5153afa63b5038c527cedd))

### [0.1.77](http://omics.dyndns.biz:4747///compare/v0.1.76...v0.1.77) (2020-06-10)

### [0.1.76](http://omics.dyndns.biz:4747///compare/v0.1.75...v0.1.76) (2020-06-10)

### [0.1.75](http://omics.dyndns.biz:4747///compare/v0.1.74...v0.1.75) (2020-06-10)

### [0.1.74](http://omics.dyndns.biz:4747///compare/v0.1.73...v0.1.74) (2020-06-10)

### [0.1.73](http://omics.dyndns.biz:4747///compare/v0.1.72...v0.1.73) (2020-06-10)

### [0.1.72](http://omics.dyndns.biz:4747///compare/v0.1.71...v0.1.72) (2020-06-09)

### [0.1.71](http://omics.dyndns.biz:4747///compare/v0.1.70...v0.1.71) (2020-06-09)

### [0.1.70](http://omics.dyndns.biz:4747///compare/v0.1.69...v0.1.70) (2020-06-09)

### [0.1.69](http://omics.dyndns.biz:4747///compare/v0.1.68...v0.1.69) (2020-06-09)

### [0.1.68](http://omics.dyndns.biz:4747///compare/v0.1.67...v0.1.68) (2020-06-09)

### [0.1.67](http://omics.dyndns.biz:4747///compare/v0.1.66...v0.1.67) (2020-06-09)

### [0.1.66](http://omics.dyndns.biz:4747///compare/v0.1.65...v0.1.66) (2020-06-09)

### [0.1.65](http://omics.dyndns.biz:4747///compare/v0.1.64...v0.1.65) (2020-06-09)

### [0.1.64](http://omics.dyndns.biz:4747///compare/v0.1.63...v0.1.64) (2020-06-03)

### [0.1.63](http://omics.dyndns.biz:4747///compare/v0.1.62...v0.1.63) (2020-06-03)

### [0.1.62](http://omics.dyndns.biz:4747///compare/v0.1.61...v0.1.62) (2020-06-03)

### [0.1.61](http://omics.dyndns.biz:4747///compare/v0.1.60...v0.1.61) (2020-06-03)

### [0.1.60](http://omics.dyndns.biz:4747///compare/v0.1.59...v0.1.60) (2020-06-03)

### [0.1.59](http://omics.dyndns.biz:4747///compare/v0.1.58...v0.1.59) (2020-06-03)

### [0.1.58](http://omics.dyndns.biz:4747///compare/v0.1.57...v0.1.58) (2020-06-03)

### [0.1.57](http://omics.dyndns.biz:4747///compare/v0.1.56...v0.1.57) (2020-06-03)

### [0.1.56](http://omics.dyndns.biz:4747///compare/v0.1.55...v0.1.56) (2020-06-03)

### [0.1.55](http://omics.dyndns.biz:4747///compare/v0.1.54...v0.1.55) (2020-06-03)

### [0.1.54](http://omics.dyndns.biz:4747///compare/v0.1.53...v0.1.54) (2020-06-03)

### [0.1.53](http://omics.dyndns.biz:4747///compare/v0.1.52...v0.1.53) (2020-06-03)

### [0.1.52](http://omics.dyndns.biz:4747///compare/v0.1.51...v0.1.52) (2020-06-03)

### [0.1.51](http://omics.dyndns.biz:4747///compare/v0.1.50...v0.1.51) (2020-06-03)

### [0.1.50](http://omics.dyndns.biz:4747///compare/v0.1.49...v0.1.50) (2020-06-03)

### [0.1.49](http://omics.dyndns.biz:4747///compare/v0.1.48...v0.1.49) (2020-06-03)

### [0.1.48](http://omics.dyndns.biz:4747///compare/v0.1.47...v0.1.48) (2020-06-02)

### [0.1.47](http://omics.dyndns.biz:4747///compare/v0.1.46...v0.1.47) (2020-06-01)


### Bug Fixes

* add extra char to zeropad string if a sign occupies part of the length ([9556324](http://omics.dyndns.biz:4747///commit/95563248e84359ffa47f96ce200250300b22d441))

### [0.1.46](http://omics.dyndns.biz:4747///compare/v0.1.45...v0.1.46) (2020-05-29)

### [0.1.45](http://omics.dyndns.biz:4747///compare/v0.1.44...v0.1.45) (2020-05-21)


### Features

* cache report pages for 5 mintues ([94e0f42](http://omics.dyndns.biz:4747///commit/94e0f4245831d4b9745d6f0120f2f11c4fd8f511))


### Bug Fixes

* not setting end time correctly if loading to builder tab first ([04c3dfc](http://omics.dyndns.biz:4747///commit/04c3dfce93433090835f4c84c4296406c194d268))
* use a longer timeout because reports can take a while somethimes. ([2b12eea](http://omics.dyndns.biz:4747///commit/2b12eea3f99531be0bfb5bfe44e587fdde0f5103))

### [0.1.44](http://omics.dyndns.biz:4747///compare/v0.1.43...v0.1.44) (2020-05-20)


### Bug Fixes

* don't check RxUniverse API for report definitions ([f03bbee](http://omics.dyndns.biz:4747///commit/f03bbeeb50711bc0bdf01a4fecc4fb3a50942713))
* drill table assignments ([b6b1d1a](http://omics.dyndns.biz:4747///commit/b6b1d1a2bf4f47808e6883e1a6ec5caaa7f0a69b))

### [0.1.43](http://omics.dyndns.biz:4747///compare/v0.1.42...v0.1.43) (2020-05-15)

### [0.1.42](http://omics.dyndns.biz:4747///compare/v0.1.41...v0.1.42) (2020-05-15)

### [0.1.41](http://omics.dyndns.biz:4747///compare/v0.1.40...v0.1.41) (2020-05-15)

### [0.1.40](http://omics.dyndns.biz:4747///compare/v0.1.39...v0.1.40) (2020-05-15)

### [0.1.39](http://omics.dyndns.biz:4747///compare/v0.1.38...v0.1.39) (2020-05-15)

### [0.1.38](http://omics.dyndns.biz:4747///compare/v0.1.37...v0.1.38) (2020-05-15)

### [0.1.37](http://omics.dyndns.biz:4747///compare/v0.1.36...v0.1.37) (2020-05-15)

### [0.1.36](http://omics.dyndns.biz:4747///compare/v0.1.35...v0.1.36) (2020-05-15)

### [0.1.35](http://omics.dyndns.biz:4747///compare/v0.1.34...v0.1.35) (2020-05-15)

### [0.1.34](http://omics.dyndns.biz:4747///compare/v0.1.33...v0.1.34) (2020-05-15)

### [0.1.33](http://omics.dyndns.biz:4747///compare/v0.1.32...v0.1.33) (2020-05-15)

### [0.1.32](http://omics.dyndns.biz:4747///compare/v0.1.31...v0.1.32) (2020-05-15)

### [0.1.31](http://omics.dyndns.biz:4747///compare/v0.1.30...v0.1.31) (2020-05-15)

### [0.1.30](http://omics.dyndns.biz:4747///compare/v0.1.29...v0.1.30) (2020-05-15)

### [0.1.29](http://omics.dyndns.biz:4747///compare/v0.1.28...v0.1.29) (2020-05-15)

### [0.1.28](http://omics.dyndns.biz:4747///compare/v0.1.27...v0.1.28) (2020-05-15)

### [0.1.27](http://omics.dyndns.biz:4747///compare/v0.1.26...v0.1.27) (2020-05-14)

### [0.1.26](http://omics.dyndns.biz:4747///compare/v0.1.25...v0.1.26) (2020-05-14)


### Bug Fixes

* package task typo ([40294e1](http://omics.dyndns.biz:4747///commit/40294e15e5b5c8e82c10139ccd0424b2a7c6ff45))

### [0.1.25](http://omics.dyndns.biz:4747///compare/v0.1.24...v0.1.25) (2020-05-12)


### Bug Fixes

* package id ([98ed1b4](http://omics.dyndns.biz:4747///commit/98ed1b4acce91d3139bfa624703cc906f66f5fbe))

### [0.1.24](http://omics.dyndns.biz:4747///compare/v0.1.23...v0.1.24) (2020-05-12)

### [0.1.23](http://omics.dyndns.biz:4747///compare/v0.1.22...v0.1.23) (2020-05-11)


### Bug Fixes

* dropped class ([9a52912](http://omics.dyndns.biz:4747///commit/9a52912921c5a23fd7f7318e7a336f9d76532d0d))

### [0.1.22](http://omics.dyndns.biz:4747///compare/v0.1.21...v0.1.22) (2020-05-11)

### [0.1.21](http://omics.dyndns.biz:4747///compare/v0.1.20...v0.1.21) (2020-05-05)


### Bug Fixes

* revert deps change; datepicker couldn;t require moment ([31e1d35](http://omics.dyndns.biz:4747///commit/31e1d353ac4ff833bf5e38fee3f8e3ca42acd436))

### [0.1.20](http://omics.dyndns.biz:4747///compare/v0.1.19...v0.1.20) (2020-05-05)


### Bug Fixes

* infinite loop in column size ([a5f04f3](http://omics.dyndns.biz:4747///commit/a5f04f3acf50dc2262cb0a8be62765a2ab57cdce))

### [0.1.19](http://omics.dyndns.biz:4747///compare/v0.1.18...v0.1.19) (2020-04-28)


### Features

* [Blank] for empty cells in grouping column ([9cb3d36](http://omics.dyndns.biz:4747///commit/9cb3d369d1eac611224257ee3f53009987deedf1))
* additional aggregation options ([fd107d2](http://omics.dyndns.biz:4747///commit/fd107d235a319dec6759c6b95fdcf84878c0f2cd))

### [0.1.18](http://omics.dyndns.biz:4747///compare/v0.1.17...v0.1.18) (2020-04-24)


### Features

* aggregation rounder field ([37c0142](http://omics.dyndns.biz:4747///commit/37c0142a057de0f7e81ed633a121cf62a6b56dde))
* organize target dropdown ([a60b123](http://omics.dyndns.biz:4747///commit/a60b123dd36cc03e8f5dc413beec979eb1bf2b9e))
* search abbrevations in column picker ([2758aeb](http://omics.dyndns.biz:4747///commit/2758aeb28180bd85086dc4f005816724e8854eb5))


### Bug Fixes

* boolean cell formatter ([412eb4c](http://omics.dyndns.biz:4747///commit/412eb4ce11cfdc6b52776e2d05db440e122ad194))
* log level change ([8d36be1](http://omics.dyndns.biz:4747///commit/8d36be1a8ebfc85e3aa25282aaa6d98ed481ee3c))
* nicer autosizing (for web view; will need strict sizing for PDFs) ([7c5d2f6](http://omics.dyndns.biz:4747///commit/7c5d2f6b7bf25e607b0d9060afd117058c219a3b))
* screwed up migration somehow ([0cc28d6](http://omics.dyndns.biz:4747///commit/0cc28d6de2de5882ecb666df0f5a25cce60693ac))
* set date format for date range picker ([09b8e3a](http://omics.dyndns.biz:4747///commit/09b8e3ac283ea5b223983fe7e447f9dab6390cf9))
* typescript ([39e9f94](http://omics.dyndns.biz:4747///commit/39e9f94fbb2015cf81769ca837b5226b67fe6923))
* update report definition routine dirty check not working correctly ([2bc5bc2](http://omics.dyndns.biz:4747///commit/2bc5bc220e4d7ffe810dfa25fae6807ed5f8c073))

### [0.1.17](http://omics.dyndns.biz:4747///compare/v0.1.16...v0.1.17) (2020-04-23)


### Features

* use permission_id for report targets ([e5bc1b1](http://omics.dyndns.biz:4747///commit/e5bc1b1e8ae31b23fd022a22292a2c0c8f1b9702))


### Bug Fixes

* handle arrays in autosizer ([fabd419](http://omics.dyndns.biz:4747///commit/fabd419e29a649c418760ace8cd00ee32f304660))

### [0.1.16](http://omics.dyndns.biz:4747///compare/v0.1.15...v0.1.16) (2020-04-22)


### Features

* basic column autosizing ([7dad06b](http://omics.dyndns.biz:4747///commit/7dad06b8280bb507ab60859ef5d1db0031ea4b61))
* basic titles ([e06677e](http://omics.dyndns.biz:4747///commit/e06677eb975e180a3f59cc644e834423a8b5db42))

### [0.1.15](http://omics.dyndns.biz:4747///compare/v0.1.14...v0.1.15) (2020-04-20)


### Features

* default sort new resutls to the top ([20381f9](http://omics.dyndns.biz:4747///commit/20381f9c71288e7a18d91cd4d5c49e60af629eee))
* use display name on csv headers ([313a800](http://omics.dyndns.biz:4747///commit/313a800d49cc97819a26f02e5986f45fc5d507f6))


### Bug Fixes

* csv loading size ([d74aba3](http://omics.dyndns.biz:4747///commit/d74aba316f857a31aca752c84e662a4dad27ca9e))
* use viewmodel parameters for csv dump ([07a7c77](http://omics.dyndns.biz:4747///commit/07a7c7726b85c322c4362a3676c612c9c5ed0840))

### [0.1.14](http://omics.dyndns.biz:4747///compare/v0.1.13...v0.1.14) (2020-04-17)


### Bug Fixes

* validations ([80af7d4](http://omics.dyndns.biz:4747///commit/80af7d474a64b3ab354b4fad422d40364810209a))

### [0.1.13](http://omics.dyndns.biz:4747///compare/v0.1.12...v0.1.13) (2020-04-16)


### Bug Fixes

* border above footer & remove footer from subtables ([175db9a](http://omics.dyndns.biz:4747///commit/175db9ab30b39318f27f416a0e3566af4d74413a))
* flag generating csv on startup ([6acb57e](http://omics.dyndns.biz:4747///commit/6acb57e1c7761d2d15e0b11f1d61a325e9f9276b))
* flag result as generating when starting ([cc38354](http://omics.dyndns.biz:4747///commit/cc38354daeeccef5d09cec36c0da802869e3de76))
* label on status column ([150d897](http://omics.dyndns.biz:4747///commit/150d897e4a946bc81dfacfc614caa80266a28a7f))
* return response ([b6deef7](http://omics.dyndns.biz:4747///commit/b6deef798dbc65b71b2d16121d734fa37830fb33))
* several typescript complaints ([e801f99](http://omics.dyndns.biz:4747///commit/e801f992681b0570d887ab75f6ac1ddf63650272))
* status on result form ([c13de00](http://omics.dyndns.biz:4747///commit/c13de0098ad19cec6d1180ca2a6db2ce511a831b))

### [0.1.12](http://omics.dyndns.biz:4747///compare/v0.1.11...v0.1.12) (2020-04-15)

### [0.1.11](http://omics.dyndns.biz:4747///compare/v0.1.10...v0.1.11) (2020-04-15)


### Bug Fixes

* add module_port to .env.sample ([8f681ac](http://omics.dyndns.biz:4747///commit/8f681acf939505650b02dcbd7fbde84563a4a2ee))

### [0.1.10](http://omics.dyndns.biz:4747///compare/v0.1.9...v0.1.10) (2020-04-15)

### [0.1.9](http://omics.dyndns.biz:4747///compare/v0.1.8...v0.1.9) (2020-04-15)


### Bug Fixes

* use PROD_DATABASE_URL ([8de41a7](http://omics.dyndns.biz:4747///commit/8de41a75001c62afaf2a0babd6f8824ba162ad4e))

### [0.1.8](http://omics.dyndns.biz:4747///compare/v0.1.7...v0.1.8) (2020-04-14)

### [0.1.7](http://omics.dyndns.biz:4747///compare/v0.1.6...v0.1.7) (2020-04-13)


### Bug Fixes

* highlight on hover report table ([e5ed4c1](http://omics.dyndns.biz:4747///commit/e5ed4c1795a47c0db886024d22f1101f69464329))
* remove turbolinks ([e0dfdf9](http://omics.dyndns.biz:4747///commit/e0dfdf995cc895ccc2d02c8a8760b1e1e8154827))
* set display names for permissions ([22198fc](http://omics.dyndns.biz:4747///commit/22198fc9fc28b317b8367db18a709643974edf0e))
* tie column widths in subtable to parent table ([f07a2ae](http://omics.dyndns.biz:4747///commit/f07a2ae0480a589e489ef95bbf7aededec54efe3))

### [0.1.6](http://omics.dyndns.biz:4747///compare/v0.1.5...v0.1.6) (2020-04-08)


### Features

* tweak date formatting ([23ac94a](http://omics.dyndns.biz:4747///commit/23ac94a4c23246f9905dcddb6bb37c349ccd8ffb))


### Bug Fixes

* change drill behaviour to handle multiple drill levels better ([a965890](http://omics.dyndns.biz:4747///commit/a96589085dc4586a85df48f7081e3289a01d58b3))
* drill tables weren't cloning viewmodel parameters ([018f922](http://omics.dyndns.biz:4747///commit/018f92293ae31f937986cfcd049f28777b54667e))

### [0.1.5](http://omics.dyndns.biz:4747///compare/v0.1.4...v0.1.5) (2020-04-07)


### Features

* refactor to components directory ([aab2200](http://omics.dyndns.biz:4747///commit/aab2200838efc34323adeb9e61e769f289f1db91))


### Bug Fixes

* be more selective about broadcasting report definition updates. ([dae71fb](http://omics.dyndns.biz:4747///commit/dae71fba38ad5410ee4dda67086387c22e2eef0c))
* couldn;t clone canned reports ([e6dcd6e](http://omics.dyndns.biz:4747///commit/e6dcd6e126260e2e912a877979db5c18330b918b))
* couldn't drag and drop once overflow happened in column list ([6e31b54](http://omics.dyndns.biz:4747///commit/6e31b544e8f42fa6e0a0a95dd96029c8b5505692))
* export job wasn;t using credentials ([30c8865](http://omics.dyndns.biz:4747///commit/30c886593714fc07c15146688c11696306a49974))
* import type ([3664756](http://omics.dyndns.biz:4747///commit/3664756ed9a6f4bf5073cffcfdaf8324cd213506))
* more refactor ([28f4c87](http://omics.dyndns.biz:4747///commit/28f4c87c4b67f3a651b1ae099565e7a7c4701bb7))

### [0.1.4](http://omics.dyndns.biz:4747///compare/v0.1.3...v0.1.4) (2020-04-06)


### Bug Fixes

* adjust date validation on component runner ([c6b870d](http://omics.dyndns.biz:4747///commit/c6b870d7abaff5a51029be7a6e6dae229593b8ee))
* checkbox was not observer ([66762b4](http://omics.dyndns.biz:4747///commit/66762b46ab051fa89e4af958fbcb4e62eb69e529))

### [0.1.3](http://omics.dyndns.biz:4747///compare/v0.1.2...v0.1.3) (2020-04-03)


### Bug Fixes

* was not rerendering when adding columns on create screen ([139135b](http://omics.dyndns.biz:4747///commit/139135b5cfeeb1f6754dd05636662cd12545febc))

### [0.1.2](http://omics.dyndns.biz:4747///compare/v0.1.1...v0.1.2) (2020-04-02)


### Features

* read-only parameters ([3466540](http://omics.dyndns.biz:4747///commit/3466540f6a6b2382dd3717b7f75bea6226bd83c5))
* respect report permissions ([45c190b](http://omics.dyndns.biz:4747///commit/45c190bed1a88027f173b28bc150ccfadd550de2))
* View and manage sorts from the Run Tab ([f16c86a](http://omics.dyndns.biz:4747///commit/f16c86aa5775ffe2cfcfa89803583e52eb5ce8ca))

### 0.1.1 (2020-03-24)


### Features

* add aggregation info to header if applicable and no rename ([d0a3958](http://omics.dyndns.biz:4747///commit/d0a3958df56aba6af0d59af7ad9ccfa1fac45056))
* Add button to show report table in browser ([f813471](http://omics.dyndns.biz:4747///commit/f813471c54e0ffc8580be6d21d0946d277e2631f))
* add canned report id flag to components ([a540031](http://omics.dyndns.biz:4747///commit/a5400315d39437125adc37790e630a1d06a78084))
* add more canned report supprot ([918eb58](http://omics.dyndns.biz:4747///commit/918eb5889f562c39e8376c10f4410ee7612a0bf8))
* add some column group info to design page ([0c1fc36](http://omics.dyndns.biz:4747///commit/0c1fc365a07734cfc93dce0414a2204cbab553f2))
* basic csv exports ([96ceb3f](http://omics.dyndns.biz:4747///commit/96ceb3f2b75b02083d2f7b9727e04e06c63b1e45))
* Basic JSON exports ([31ed6ce](http://omics.dyndns.biz:4747///commit/31ed6cec47a8d99149cc85bf1c70b0d6ecd94b83))
* bool report param control ([2beae35](http://omics.dyndns.biz:4747///commit/2beae3568e27fac621c67c99578932cbc1e2426d))
* Change color of View Now if there are changes to the runOptions since last click ([387e3cc](http://omics.dyndns.biz:4747///commit/387e3cc47c1083b387cfca25d20ae19f3794c137))
* Clone existing reports ([d671937](http://omics.dyndns.biz:4747///commit/d6719374b3c87525204d2ed56e215d5cb8c0bbfa))
* Column Adder Info button & improved styles ([8094a0b](http://omics.dyndns.biz:4747///commit/8094a0bb323acb0e09376df54c2091757ec0843c))
* Date picking for report components ([68f8d42](http://omics.dyndns.biz:4747///commit/68f8d42fb30a6809b32bd9019c83978067af0e7c))
* deps ([0933629](http://omics.dyndns.biz:4747///commit/0933629353ebd792e7b2b3b75cc8d29fb18a98c3))
* grouping & aggregations ([138121f](http://omics.dyndns.biz:4747///commit/138121fe627af183927c17727977a493d07093eb))
* link directly to report run result (or at least, link directly once Josh finished the @rx-suite/data refactor so that the model loads) ([a8af149](http://omics.dyndns.biz:4747///commit/a8af1491a91b9471f6d5d43f763f8102c60a3bb8))
* preliminary group drilling ([d554e26](http://omics.dyndns.biz:4747///commit/d554e26490e1816c7a859a90ef241fcc514e7152))
* show loading indicator while waiting for grand totals ([991a8db](http://omics.dyndns.biz:4747///commit/991a8dbffdf8998d6070f2fc26748ef9c409c44f))
* Show report table title on Run tab ([f258ccf](http://omics.dyndns.biz:4747///commit/f258ccfbfbac57fa25cd30d0b6d0cf422a378a08))
* Show target on compoennt table ([c6100cb](http://omics.dyndns.biz:4747///commit/c6100cb36a8e5747934b1fa34998f7f5bd4c1b17))
* support first/last in group aggregations ([951bd89](http://omics.dyndns.biz:4747///commit/951bd89746bf9773ec449d8b252db29d5f426d51))
* support meta-aggregators ([e7c9d04](http://omics.dyndns.biz:4747///commit/e7c9d046fc2138da3950f8a0ed12de3514008842))


### Bug Fixes

* Add a small left indent to drill tables ([f460713](http://omics.dyndns.biz:4747///commit/f460713412819f2fd8cff674c89427817b31a48e))
* Add classnames to production build ([82fa616](http://omics.dyndns.biz:4747///commit/82fa6168d7e8d0d543f58b0f8d0bfb689f4367ec))
* adjust implicit column grouping map drill ([391bd5e](http://omics.dyndns.biz:4747///commit/391bd5e64720ab640f0e635d7ad74490a706145c))
* Always render hooks ([8c51748](http://omics.dyndns.biz:4747///commit/8c5174870195d1e02a25b4fb2dbefc6074314052))
* associate widgets to operators ([6f29105](http://omics.dyndns.biz:4747///commit/6f291052942962104d4aa95163f324afcd78e611))
* better observing of changes on target change ([16ba8c1](http://omics.dyndns.biz:4747///commit/16ba8c1c92118b08acd04944fba58a6cea56bf3a))
* canned report id validation was failing ([da9dbe8](http://omics.dyndns.biz:4747///commit/da9dbe8827c98e46e4ba00742eb8fbf5afb969b4))
* change export name for rep component ([53577c8](http://omics.dyndns.biz:4747///commit/53577c8147148f50b7a5628c64c2300d65f2bc71))
* change webpacker port ([f67232f](http://omics.dyndns.biz:4747///commit/f67232f9ca469079539b403a97294771ed56ef53))
* copy/pasted wrong label ([f0dad75](http://omics.dyndns.biz:4747///commit/f0dad7593c6f53d57e6375729f207654da396398))
* Could not always remove the last parameter in a filter in a saved report ([d576efb](http://omics.dyndns.biz:4747///commit/d576efbd3edd8723fd20dbe08a3f9add06bf909b))
* delete column not assigning to viewmodel properly ([1bea488](http://omics.dyndns.biz:4747///commit/1bea488989e3319d093dd32f7524480926a1daea))
* Don't use hub icon ([1e58e01](http://omics.dyndns.biz:4747///commit/1e58e0146df9faf511f057f9f09c2e5b00f03f42))
* eager-load targets ([5099783](http://omics.dyndns.biz:4747///commit/5099783af1ae074951dc0c45a4d5fd627f195c93))
* extension on results file ([50281dd](http://omics.dyndns.biz:4747///commit/50281ddc695528ca56d62e98c65dc838fb3466f6))
* hide title on drill tables ([daa16d4](http://omics.dyndns.biz:4747///commit/daa16d435027a78d8264d696bd184f19cf3d08d9))
* Identify report component export target by module_id and report_id, not auto-generated internal id ([e385fca](http://omics.dyndns.biz:4747///commit/e385fca2ba7b82d0b70fb0a4a6c1e88c514a2642))
* label on copy run link explaining why it is disabled ([af10447](http://omics.dyndns.biz:4747///commit/af10447bf3e5401ec8a0c809230268f34cfe62fb))
* missing file ([4268c78](http://omics.dyndns.biz:4747///commit/4268c781c8f5b23767619c743ba0a39b5e0cdbe1))
* newlines in component description table (closes http://omics.dyndns.biz:4747/rx-suite/modules/core/reporting/issues/17) ([240a554](http://omics.dyndns.biz:4747///commit/240a554fad22cb33764d84fcf2e4139eb2a9003d))
* read mappings ([effd331](http://omics.dyndns.biz:4747///commit/effd331f9f549571cb6f47ec0b5468b80550ceb5))
* recompute fields on target change ([09ed33c](http://omics.dyndns.biz:4747///commit/09ed33cd27b8713c1b4944ba33d324e00bc276fb))
* serve static files in production ([0d50a43](http://omics.dyndns.biz:4747///commit/0d50a434123ce1a6d215290aa662826f4d80f498))
* show better info when a report fails to run ([a0e2916](http://omics.dyndns.biz:4747///commit/a0e29160f700211bcc0e9831ff812b2253ceebef))
* show fewer rows in drill components ([87f93d5](http://omics.dyndns.biz:4747///commit/87f93d58384dbf0440d4492149d94af0e180f7e1))
* sync filter with mdoel ([277ac7d](http://omics.dyndns.biz:4747///commit/277ac7ddce78d6053ae580a584843a09a3d3999a))
* track if filter is dirty ([a4e573e](http://omics.dyndns.biz:4747///commit/a4e573e24b5b4657a306ba5d18aa37c30d59a8bb))
* ts ([bd9e52d](http://omics.dyndns.biz:4747///commit/bd9e52d3b0ddea4f0d3211adba805321f28e7e13))
* unnecessary sync was taking focus away from filters ([07547e2](http://omics.dyndns.biz:4747///commit/07547e27f9c43df052bd06870e0ea0fa11e83047))
* use nestedassignment for column rearranging ([2525e4d](http://omics.dyndns.biz:4747///commit/2525e4d78faba646d540bb9e4f065c03732227f4))
* use nexted assignment in report component ([3e822c4](http://omics.dyndns.biz:4747///commit/3e822c47a8aa07dec38d5422b1a855d902161ace))
* wrap header text ([923fb7e](http://omics.dyndns.biz:4747///commit/923fb7e1c79c3002abb255d6f93b2a5fa0bf1063))
