class ExportJob < ApplicationJob
  queue_as :default

  def perform(report_component_result_id, user_token)
    ActiveRecord::Base.connection_pool.with_connection do
      RxModule::Authorization.set_request_token(user_token)
      ReportComponentResult.find(report_component_result_id).generate_file
    end
  end
end
