RxModule.configure do |config|
  config.module_id = 'rx_reports'
  config.module_name = 'Rx-Reports'
  config.rx_hub_url = ENV['RX_HUB_URL']
  config.module_description = 'Allows reporting on other Rx-Modules'
  config.module_icon = Rails.root.join("public", "icon.svg")
  config.module_logo = Rails.root.join("public", "logo.png")
  config.module_version = File.open(Rails.root.join('package.json')) do |f|
    JSON.load(f, nil, {create_additions: false, symbolize_names: true})[:version]
  end
end