class CreateReportComponents < ActiveRecord::Migration[6.0]
  def change
    create_table :report_components do |t|
      t.string :name
      t.string :desc
      t.string :parameters
      t.belongs_to :report_target, foreign_key: {on_delete: :cascade, on_update: :cascade}
      t.timestamps
    end
  end
end
