class CreateReportComponentResults < ActiveRecord::Migration[6.0]
  def change
    create_table :report_component_results do |t|
      t.string :name
      t.string :desc
      t.string :data_format
      t.string :parameters
      t.belongs_to :report_target, foreign_key: {on_delete: :nullify, on_update: :cascade}
      t.timestamps
    end
  end
end
