class CreateAutomaticReports < ActiveRecord::Migration[6.0]
  def change
    create_table :automatic_reports do |t|
      t.belongs_to :report_component, null: false, foreign_key: true
      t.integer :run_frequency_value
      t.string :run_frequency_unit
      t.integer :period_value
      t.string :period_unit
      t.datetime :start_date
      t.string :mail_to_users
      t.string :mail_to_emails
      t.string :date_column

      t.timestamps
    end
  end
end
